Unable to locate package libcur13, libicur57

Então, você acompanhou meus vídeos e posts sobre PowerShell no Linux fez o passo-a-passo e pahhh!
Para ajudar a responder este problema simulei em alguns ambientes e descobri que este erro acontece na instalação aqui no Ubuntu 18.04 do Windows 10 (ao menos até a versão 10.0.17134).

00

Veja a baixo a mensagem de dependência.

01

Libcurl3
Este pacote é free e pode ser baixado por apt-get ou yum.
#_ apt-get install libcurl3

libicu57
Este pacote também é Free e ICU uma biblioteca do C e C++ para features Unicode e suporte a idiomas.
#_ apt-get install libicu57

Problema

O problema ocorre quando tentamos instalar os pacotes de dependência individualmente e o erro de pacote não disponível aparece.

02

03

Solução

Para solucionar o problema eu fiz a instalação do libicu-dev, se você já tiver este pacote, tente remover e instalar novamente.

04

Na sequência atualizei a lista de pacotes com o apt-get update.05

Após o apt-get install PowerShell e le voilà.

06

Encontraram uma forma mais fácil de contornar o problema? Deixe seu comentário.
Abraço, Rodrigo

Author: SQLCrespi

Rodrigo Crespi é MVP Data Platform, MCT, MCSE, MCSA, MCIT, MCDBA e MCP em SQL Server, possuí outras certificações em .NET Framework, Dynamics CRM e etc. Iniciou trabalhando com SQL Server na versão 6.5 na época como desenvolvedor, logo direcionou a sua carreira para a área de administração de bancos de dados. Atualmente é Sócio da CrespiDB – Soluções em Plataformas de Dados, além de professor universitário na Uniftec – Caxias do Sul Autor de diversos artigos publicados em sites e revistas sobre SQL Server e engenharia de software, mantem o canal SQLCrespi no Youtube, o blog SQLCrespi, além de ser dedicado ao SQL Server RS PASS Chapter Leader do grupo de profissionais em SQL Server do Rio Grande do Sul.

Deixe uma resposta

Esse site utiliza o Akismet para reduzir spam. Aprenda como seus dados de comentários são processados.